"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const http_status_1 = __importDefault(require("../utils/http-status"));
const HttpException_1 = __importDefault(require("./HttpException"));
const statusCode = http_status_1.default.TOO_MANY_REQUESTS;
const defaultMessage = `${statusCode} Too many request`;
class TooManyRequestException extends HttpException_1.default {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'TooManyRequestException';
    }
}
exports.default = TooManyRequestException;
