import httpStatus from '../utils/http-status';
import HttpException from './HttpException';
const statusCode = httpStatus.TOO_MANY_REQUESTS;
const defaultMessage = `${statusCode} Too many request`;
export default class TooManyRequestException extends HttpException {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'TooManyRequestException';
    }
}
