import HttpException from '../exceptions/HttpException';
import httpStatus from '../utils/http-status';
export default function errorMiddleware(error, _, res, next) {
    console.error(error);
    if (error instanceof HttpException) {
        return error.sendResponse(res);
    }
    return res.status(httpStatus.INTERNAL_SERVER_ERROR).json({
        message: 'Unexpected server error has occurred, Please try again.',
        statusCode: httpStatus.INTERNAL_SERVER_ERROR,
    });
}
